# GNUmed database system site-local bootstrapping config file
#------------------------------------------------------------
# license: GPL v2 or later
# author: Karsten.Hilbert@gmx.net

#----------------------------------
[revision control]
file = $Source: /home/ncq/Projekte/cvs2git/vcs-mirror/gnumed/gnumed/server/bootstrap/bootstrap-local_last.conf,v $
version = $Revision: 1.15 $

#----------------------------------
[installation]

interactive = yes

keep temp files = no

description = $description$
This script can be used to run SQL files local to a site
*after* bootstrapping the rest of the database.

Thereby things that are only needed locally can be
integrated with the bootstrapping process and need not
be run manually after re-bootstrapping.

It is "guaranteed" that this file will never be changed
by the GNUmed team, hence keeping local modifications
in a safe place.
$description$

bundles = $bundles$
$bundles$

#----------------------------------
# bundles
#----------------------------------
[bundle ...]
database alias = core
minimum postgresql version = 8.1
schema base directory = 
schema = $schema$
$schema$

#----------------------------------
# databases
#----------------------------------
[database core]
name = gnumed_v2
override name by = GM_CORE_DB
target version = v2
server alias = local host
audit disable = 1
schema = $schema$
$schema$

#----------------------------------
# servers
#----------------------------------
[server local host]
name = 
port = 5432
template database = template1
super user alias = postgres
schema = $schema$
$schema$

#----------------------------------
# users
#----------------------------------
[user GnuMed owner]
name = gm-dbo
password =

[user postgres]
name = postgres

#----------------------------------
# these really shouldn't be changed
#----------------------------------
[GnuMed defaults]

database owner alias = GnuMed owner

groups = $groups$
$groups$

#----------------------------------
# $Log: bootstrap-local_last.conf,v $
# Revision 1.15  2008-08-28 12:07:27  ncq
# - bump database name to gnumed_v2
# - add options necessary for one-step bootstrapping
#
# Revision 1.14  2007/09/24 22:39:36  ncq
# - switch back to core/gnumed naming of database
#
# Revision 1.13  2007/09/24 19:29:59  ncq
# - adjust to gnumed_v2
#
# Revision 1.12  2007/01/04 22:53:17  ncq
# - add target version v2
#
# Revision 1.11  2006/12/29 16:28:25  ncq
# - "service" -> "bundle", no more services
# - remove "name" and "version" on previous "service" groups
#
# Revision 1.10  2006/12/29 13:56:50  ncq
# - bump required PG version to 7.4
# - remove procedural languages options
# - include gmCreateProceduralLanguages.sql in database level superuser schema import
#
# Revision 1.9  2006/09/17 07:02:00  ncq
# - we don't register services anymore
#
# Revision 1.8  2006/05/24 12:51:13  ncq
# - standarize on only '' being local domain sockets connections
#
# Revision 1.7  2006/05/08 12:38:47  ncq
# - make password parameter sane:
#   - missing or commented out means: not needed, eg IDENT or TRUST
#   - empty means: ask user if interactive or leave empty (but log warning) if not interactive
#
# Revision 1.6  2006/05/07 16:24:16  shilbert
# - settle for #password = as default
#
# Revision 1.5  2006/05/07 16:12:41  shilbert
# - cleanup
#
# Revision 1.4  2005/11/09 10:42:47  ncq
# - be more careful with others around us: install procedural language into
#   our database only if needed, not into template1
#
# Revision 1.3  2005/06/06 09:05:41  ncq
# - make them succeed when empty even if it's just cosmetical
#
# Revision 1.2  2005/06/01 23:17:43  ncq
# - support overriding target database name via environment variable
#
# Revision 1.1  2005/04/24 16:15:39  ncq
# - add support for site-local config files
#
